package io.hmit.modules.serviceOrder.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

import java.math.BigDecimal;

/**
 * 服务表
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-01-26
 */
@Data
@ApiModel(value = "服务表")
public class PensionServiceDTO implements Serializable {
    private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "id")
	private Long id;

	@ApiModelProperty(value = "服务名称")
	private String name;

	@ApiModelProperty(value = "服务类型")
	private Long serviceTypeId;

	@ApiModelProperty(value = "排序")
	private Integer sort;

	@ApiModelProperty(value = "首页图标地址")
	private String icon;

	@ApiModelProperty(value = "详情页大图地址")
	private String detailPicture;

	@ApiModelProperty(value = "价格")
	private BigDecimal price;

	@ApiModelProperty(value = "积分值")
	private Integer giftPoint;

	@ApiModelProperty(value = "服务次数")
	private Integer timesNum;

	@ApiModelProperty(value = "服务时间")
	private String serviceTime;

	@ApiModelProperty(value = "备注")
	private String remark;

	@ApiModelProperty(value = "部门ID")
	private Long deptId;

	@ApiModelProperty(value = "创建者")
	private Long creator;

	@ApiModelProperty(value = "创建时间")
	private Date createDate;

	@ApiModelProperty(value = "更新者")
	private Long updater;

	@ApiModelProperty(value = "更新时间")
	private Date updateDate;


}